jquery 최신버전 다운로드

jQuery는 npm에 패키지로 등록 됩니다. Npm CLI 명령을 사용 하 여 최신 버전의 jQuery를 설치할 수 있습니다. 참고: jQuery의 최신 작업 진행 버전을 사용 하려면 위에서 설명한 jQuery 시험판 빌드를 시도 하십시오. 이제 그런 트 명령을 실행 하 여 jquery 디렉토리에서, 당신은 npm 빌드 명령을 실행 처럼 jQuery의 전체 버전을 구축 할 수 있습니다: jQuery를 1.9로 시작, sourcemap 파일은 jQuery CDN에서 사용할 수 있습니다. 그러나 버전 1.10.0/2.1.0부터 압축 된 된 jQuery 더 이상 포함 된 sourcemap 메모를 CDN 복사본에 압축 된 파일 및 sourcemap 파일을 같은 위치에 저장 하는 것이 필요 하기 때문에 파일입니다. 로컬 복사본을 유지 관리 하 고 위치 3 개 파일을 모두 제어할 수 있는 경우 쉽게 디버깅할 수 있도록 압축 된 파일에 sourcemap 주석을 추가 하면 됩니다. 다운로드에 사용할 수 있는 jQuery의 두 가지 버전이 있습니다: 다음 Cdn 또한 jQuery 릴리스의 압축 및 압축 되지 않은 버전을 호스팅합니다. JQuery 1.9부터 그들은 또한 sourcemap 파일을 호스팅할 수 있습니다. 사이트의 설명서를 확인 합니다. 여기서 버전은 사용자 지정 하려는 버전입니다. 그런 다음 모든 노드 종속성이 설치 되어 있는지 확인 합니다. jQuery를 업그레이드 할 때 도움이 필요한 경우 버전에 가장 적합 한 업그레이드 가이드를 참조 하십시오. 우리는 또한 jQuery를 마이그레이션 플러그인을 사용 하는 것이 좋습니다.

사용 가능한 모든 파일 및 버전을 보려면, 방문 https://code.jquery.com jquery cdn을 사용 하 여, 그냥 jQuery CDN 도메인에서 직접 스크립트 태그에 있는 파일을 참조. Https://code.jquery.com를 방문 하 고 사용 하려는 파일의 버전을 클릭 하 여 하위 리소스 무결성 특성을 포함 한 전체 스크립트 태그를 가져올 수 있습니다. 해당 태그를 복사 하 여 HTML 파일에 붙여넣습니다. Jquery 디렉터리를 입력 하 고 빌드 스크립트를 실행: jquery 이전 버전에서 전환을 단순화 하기 위해 플러그인 jQuery를 마이그레이션 만들었습니다. 플러그인은 더 이상 사용 되지 않는 기능 및 동작을 복원 하 여 이전 코드가 최신 버전의 jQuery에서 제대로 실행 되도록 합니다. 압축 되지 않은 개발 버전을 사용 하 여 호환성 문제를 진단 하면 콘솔에서 문제를 식별 하 고 해결 하는 데 사용할 수 있는 경고가 생성 됩니다. 콘솔 경고를 생성 하지 않고 간단 하 게 호환성 문제를 해결 하려면 압축 된 프로덕션 버전을 사용 합니다. 당신은 질문이 있는 경우, 개발 jQuery 코어 포럼 또는 irc.freenode.net에 #jquery에 물어 주시기 바랍니다. 지원 하려는 모든 브라우저에서 jQuery를 사용 하는 웹 페이지를 테스트 해야 합니다.

Microsoft 개발자 리소스 사이트에서는 다양 한 버전의 Internet Explorer를 테스트 하는 데 사용할 수 있는 가상 컴퓨터를 만듭니다. 다른 브라우저의 이전 버전은 oldversion.com에서 찾을 수 있습니다. 옵션으로, jQuery의 AMD 정의 대 한 모듈 이름을 설정할 수 있습니다. 기본적으로 플러그인 및 타사 라이브러리와 멋지게 재생 되는 “jquery”로 설정 되어 있지만이를 변경 하려는 경우가 있을 수 있습니다. 간단 하 게 “amd” 옵션을 설정: 압축 되지 않은 개발 jQuery 3.4.1를 다운로드 두 번째 버전은 jquery를 3.0 이상에서 실행 하는 코드를 업데이트 하는 데 도움이, 일단 마이그레이션을 사용 하면 jquery를 1.9 이상으로 업그레이드:이 node_modules에 jQuery를 설치 합니다 디렉터리. Node_modules/jquery/dist 내에서 압축 해제, 압축 된 릴리스 및 맵 파일을 찾을 수 있습니다. 사용자 지정 빌드를 만들려면 먼저 버전을 확인 합니다. jQuery를 빌드하려면 최신 Node.js/npm 및 git 1.7 이상이 있어야 합니다.

이전 버전은 작동할 수 있지만 지원 되지 않습니다. JQuery의 내장 된 버전은 축소 된 복사 및 관련 맵 파일과 함께 dist/하위 디렉토리에 배치 됩니다. 마이그레이션의 두 가지 버전이 있습니다. 첫 번째 업데이트를 도움이 될 것입니다 사전 1.9 jQuery 코드에 jQuery 1.9 최대 3.0. 여기에서 해당 버전을 가져올 수 있습니다. 소스 코드는 Git 버전 제어 시스템에서 처리 되므로 사용 되는 일부 기능을 알면 유용 합니다. JQuery 팀은 지속적으로 코드를 개선 하기 위해 노력 하 고 있습니다. Github 리포지토리에 대 한 각 커밋에서는 jQuery CDN에서 업데이트 되는 코드의 작업 진행 버전을 생성 합니다.